org.apache.ivy.core.event.download

## Class StartArtifactDownloadEvent

- java.lang.Object
- - org.apache.ivy.core.event.IvyEvent
  - - org.apache.ivy.core.event.download.DownloadEvent
    - - org.apache.ivy.core.event.download.StartArtifactDownloadEvent

    public class StartArtifactDownloadEvent
    extends DownloadEvent

### Field Summary

Fields
`static java.lang.String` `NAME`

### Constructor Summary

Constructors
Constructor and Description
`StartArtifactDownloadEvent(DependencyResolver resolver, Artifact artifact, ArtifactOrigin origin)`

### Method Summary

Methods
`ArtifactOrigin` `getOrigin()`
`DependencyResolver` `getResolver()`

### Methods inherited from class org.apache.ivy.core.event.download.DownloadEvent

`addArtifactAttributes, getArtifact`

### Methods inherited from class org.apache.ivy.core.event.IvyEvent

`addAttribute, addAttributes, addConfsAttribute, addMDAttributes, addModuleIdAttributes, addMridAttributes, equals, getAttributes, getName, getSource, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### Constructor Detail

#### StartArtifactDownloadEvent

    public StartArtifactDownloadEvent(DependencyResolver resolver,
                              Artifact artifact,
                              ArtifactOrigin origin)

### Method Detail

#### getResolver

    public DependencyResolver getResolver()

#### getOrigin

    public ArtifactOrigin getOrigin()